Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I am running 10.6. on OSX and Firefox 5.0.1. and cannot upgrade to the latest Yahoo Mail.

  • No replies
  • 33 have this problem
  • 7 views
more options

Error Message appearing on First Page:

You're almost there, but your web browser doesn’t support the newest version of Yahoo! Mail

Upgrade to a faster, more secure version of a supported browser. It's free and it only takes a few moments:

   Firefox
   Internet Explorer (for Windows)
   Safari

Error Message on 2nd Page (when clicking the Firefox link):

Sorry, Mozilla Firefox optimized for Yahoo! is not available for your system.

The Yahoo! optimized version of Mozilla Firefox is only available for the following operating systems:

   Windows 2000
   Windows XP
   Windows Server 2003
   Windows Vista
   Windows 7
   Mac OS X 10.4 or later
   Linux

See the System Requirements for more details on hardware and software requirements and recommendations.

Error Message appearing on First Page: You're almost there, but your web browser doesn’t support the newest version of Yahoo! Mail Upgrade to a faster, more secure version of a supported browser. It's free and it only takes a few moments: Firefox Internet Explorer (for Windows) Safari Error Message on 2nd Page (when clicking the Firefox link): Sorry, Mozilla Firefox optimized for Yahoo! is not available for your system. The Yahoo! optimized version of Mozilla Firefox is only available for the following operating systems: Windows 2000 Windows XP Windows Server 2003 Windows Vista Windows 7 Mac OS X 10.4 or later Linux See the System Requirements for more details on hardware and software requirements and recommendations.